Solved

W2012 R2 and ASP 4.0

Posted on 2014-10-23
12
115 Views
Last Modified: 2014-10-26
Is it possible to install ASP 4.0 and MVC 4 onto a W2012 R2 server? We are having an issue with a web application and the vendors keeps telling us these two must be installed first. Everything I am finding talks about 4.5.
0
Comment
Question by:rwheeler23
  • 7
  • 5
12 Comments
 
LVL 1

Expert Comment

by:Kamran Mallik
ID: 40399316
Yes, you can. I think if for example you were to install exchange it would ask you to install ASP as a pre requisite any way.
0
 

Author Comment

by:rwheeler23
ID: 40399401
OK, then where is the download for ASP 4.0 and MVC 4.0? when I go to www,asp.net all if find is 4.5. There is no way through server manager to install them either.
0
 
LVL 1

Expert Comment

by:Kamran Mallik
ID: 40399425
Try This

http://technet.microsoft.com/en-us/library/hh831475.aspx

Let me know how you get on.
0
 

Author Comment

by:rwheeler23
ID: 40399460
That gets me to where I am now. Adding these features through the UI only allows for 4.5.
0
 
LVL 1

Expert Comment

by:Kamran Mallik
ID: 40399476
I just asked my Infrastructure guy and he just told me that ASP 4.0 is actually 4.5 and that 4.5 should just work fine. There is no 4.0.
0
 

Author Comment

by:rwheeler23
ID: 40399501
OK, I am going to bring in this ISV. We have installed their software and it said installation was successfully completed, however when we try to access the website all we get is "Page Cannot be displayed" It is their software so they should know.
0
Complete VMware vSphere® ESX(i) & Hyper-V Backup

Capture your entire system, including the host, with patented disk imaging integrated with VMware VADP / Microsoft VSS and RCT. RTOs is as low as 15 seconds with Acronis Active Restore™. You can enjoy unlimited P2V/V2V migrations from any source (even from a different hypervisor)

 

Author Comment

by:rwheeler23
ID: 40399505
By the way, when we ask them about installing their software on W2012 R2 they told us they have not tested it but it should work. A rather scary statement.
0
 
LVL 1

Expert Comment

by:Kamran Mallik
ID: 40399564
LOL. That's what they always say. But ASP 4.0 is actually 4.5 in server 2012 for sure.

Let me know how you get on.
0
 

Author Comment

by:rwheeler23
ID: 40399632
We have a call into them right now. I hope I can get them onto the server early this afternoon. Stay tuned!
0
 
LVL 1

Accepted Solution

by:
Kamran Mallik earned 500 total points
ID: 40399663
Will do. Let me know how you get on because interested in what they say.
0
 

Author Comment

by:rwheeler23
ID: 40405061
Well listen to this said story. We told the vendor that we were going to install their software on a w2012 R2 server and they sent their instructions. After we tried numerous time to get it to work we tried to call them in to help. Their response was that they had not tested in on a W2012 R2 and that we were on our own. Needless to say how that conversation went.

You were right about ASP 4.5 being ASP 4.0. I test out something else and it works fine.
0
 

Author Closing Comment

by:rwheeler23
ID: 40405062
Thanks for your tips on this.
0

Featured Post

Maximize Your Threat Intelligence Reporting

Reporting is one of the most important and least talked about aspects of a world-class threat intelligence program. Here’s how to do it right.

Join & Write a Comment

The reason that corporations and businesses use Windows servers is because it supports custom modifications to adapt to the business and what it needs. Most individual users won’t need such powerful options. Here I’ll explain how you can enable Wind…
The recent Microsoft changes on update philosophy for Windows pre-10 and their impact on existing WSUS implementations.
In this Micro Tutorial viewers will learn how to restore single file or folder from Bare Metal backup image of their system. Tutorial shows how to restore files and folders from system backup. Often it is not needed to restore entire system when onl…
This tutorial will walk an individual through the process of installing of Data Protection Manager on a server running Windows Server 2012 R2, including the prerequisites. Microsoft .Net 3.5 is required. To install this feature, go to Server Manager…

706 members asked questions and received personalized solutions in the past 7 days.

Join the community of 500,000 technology professionals and ask your questions.

Join & Ask a Question

Need Help in Real-Time?

Connect with top rated Experts

17 Experts available now in Live!

Get 1:1 Help Now